Package org.pentaho.reporting.libraries.resourceloader

# Class UnrecognizedLoaderException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.pentaho.reporting.libraries.base.util.StackableException
org.pentaho.reporting.libraries.resourceloader.ResourceException
org.pentaho.reporting.libraries.resourceloader.ResourceLoadingException
org.pentaho.reporting.libraries.resourceloader.UnrecognizedLoaderException

All Implemented Interfaces:
  `Serializable`

public class UnrecognizedLoaderException extends ResourceLoadingException
This exception is thrown whenever a resource-manager tries to load data using an invalid key.

Author:
  Thomas Morgner
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UnrecognizedLoaderException()`
Creates a StackableRuntimeException with no message and no parent.
`UnrecognizedLoaderException(String message)`
Creates an exception.
`UnrecognizedLoaderException(String message, Exception ex)`
Creates an exception.

## Method Summary

### Methods inherited from class org.pentaho.reporting.libraries.base.util.StackableException

`getMessage, getParent, getParentThrowable, printStackTrace, printStackTrace, printStackTrace, toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, setStackTrace`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### UnrecognizedLoaderException

public UnrecognizedLoaderException()
Creates a StackableRuntimeException with no message and no parent.

### UnrecognizedLoaderException

public UnrecognizedLoaderException(String message, Exception ex)
Creates an exception.

Parameters:
  `message` - the exception message.
  `ex` - the parent exception.

### UnrecognizedLoaderException

public UnrecognizedLoaderException(String message)
Creates an exception.

Parameters:
  `message` - the exception message.